package net.mc_pandacraft.java.plugin.pandacraftutils.simple_commands.broadcast;

import net.mc_pandacraft.java.plugin.pandacraftutils.PandacraftUtils;

import org.apache.commons.lang.StringUtils;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;

public class CommandBroadcast implements CommandExecutor {
	
	private PandacraftUtils plugin;
	
	public CommandBroadcast(PandacraftUtils pl) {
		plugin = pl;
        plugin.getCommand("broadcast").setExecutor(this);
	}

	@Override
	public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
		if (args.length == 0) return false;
		
		plugin.getServer().broadcastMessage(ChatColor.YELLOW+"["+ChatColor.WHITE+"Pandacraft"+ChatColor.YELLOW+"] " + ChatColor.translateAlternateColorCodes('&', StringUtils.join(args, ' ')));
		
		return true;
	}

}
